org.wildfly.swarm.config.transactions.log_store.transactions

## Class Participants<T extends Participants<T>>

- java.lang.Object
- - org.wildfly.swarm.config.transactions.log_store.transactions.Participants<T>

-     public class Participants<T extends Participants<T>>
      extends Object

  The resources that did work in a transaction.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Participants.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Participants(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `eisProductName()` The JCA enterprise information system's product name.
    `T` | `eisProductName(String value)` The JCA enterprise information system's product name.
    `String` | `eisProductVersion()` The JCA enterprise information system's product version
    `T` | `eisProductVersion(String value)` The JCA enterprise information system's product version
    `String` | `getKey()`
    `String` | `jmxName()` The JMX name of this participant.
    `T` | `jmxName(String value)` The JMX name of this participant.
    `String` | `jndiName()` JNDI name of this participant.
    `T` | `jndiName(String value)` JNDI name of this participant.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Participants.Status` | `status()` Reports the commitment status of this participant (can be one of Pending, Prepared, Failed, Heuristic or Readonly).
    `T` | `status(Participants.Status value)` Reports the commitment status of this participant (can be one of Pending, Prepared, Failed, Heuristic or Readonly).
    `String` | `type()` The type name under which this record is stored.
    `T` | `type(String value)` The type name under which this record is stored.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Participants

          public Participants(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### eisProductName

          public String eisProductName()

      The JCA enterprise information system's product name.

    - #### eisProductName

          public T eisProductName(String value)

      The JCA enterprise information system's product name.

    - #### eisProductVersion

          public String eisProductVersion()

      The JCA enterprise information system's product version

    - #### eisProductVersion

          public T eisProductVersion(String value)

      The JCA enterprise information system's product version

    - #### jmxName

          public String jmxName()

      The JMX name of this participant.

    - #### jmxName

          public T jmxName(String value)

      The JMX name of this participant.

    - #### jndiName

          public String jndiName()

      JNDI name of this participant.

    - #### jndiName

          public T jndiName(String value)

      JNDI name of this participant.

    - #### status

          public Participants.Status status()

      Reports the commitment status of this participant (can be one of Pending, Prepared, Failed, Heuristic or Readonly).

    - #### status

          public T status(Participants.Status value)

      Reports the commitment status of this participant (can be one of Pending, Prepared, Failed, Heuristic or Readonly).

    - #### type

          public String type()

      The type name under which this record is stored.

    - #### type

          public T type(String value)

      The type name under which this record is stored.

Copyright © 2017 JBoss by Red Hat. All rights reserved.